Bug 604183 - evince hangs with certain PostScript files
Summary: evince hangs with certain PostScript files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evince   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 14:59 UTC by Horst H. von Brand
Modified: 2010-08-17 14:19 UTC (History)
1 user (show)

Fixed In Version: evince-2.31.6-1.fc15.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 14:19:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
copia.c mentioned above (1.20 KB, text/plain)
2010-06-15 14:59 UTC, Horst H. von Brand
no flags Details
copia.c.ps as created by mpage (and which hang evince) (6.42 KB, application/postscript)
2010-06-15 15:00 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2010-06-15 14:59:33 UTC
Created attachment 424181 [details]
copia.c mentioned above

Description of problem:
I created a PS using mpage, trying to view the result with evince hanged it.

Version-Release number of selected component (if applicable):
evince-2.30.1-2.fc14.x86_64

How reproducible:
Don't know. Has happened at least a few times, but doesn't happen always.

Steps to Reproduce:
1. mpage -1H copia.c > copia.c.ps
2. evince copia.c.ps
3.
  
Actual results:
Hang (once, trying to reproduce it worked fine after viewing something else)

Expected results:
Show file

Additional info:
mpage-2.5.6-8.fc12.x86_64
gs (from ghostscript-8.71-9.fc14.x86_64) shows it just fine.

Comment 1 Horst H. von Brand 2010-06-15 15:00:37 UTC
Created attachment 424182 [details]
copia.c.ps as created by mpage (and which hang evince)

Comment 2 Bug Zapper 2010-07-30 12:08:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Horst H. von Brand 2010-08-17 14:19:32 UTC
With evince-2.31.6-1.fc15.x86_64 it takes a rather long time to finally display the one page in the attachment. The second time I open the same file it is almost instantaneous. Some issue with the fonts used perhaps?

I guess I'll take this over to mpage.


Note You need to log in before you can comment on or make changes to this bug.